Retrieve an insurance report
curl --request GET \
--url https://prod.truv.com/v1/links/{link_id}/insurance/report/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/links/{link_id}/insurance/report/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/links/{link_id}/insurance/report/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"status": "new",
"access_token": "48427a36d43c4d5aa6324bc06c692456",
"tracking_info": "user123456",
"insurance": {
"policies": [
{
"carrier_name": "progressive",
"id": "53c5ce0d-fb79-4f1c-bc27-32181b368fc7",
"policy_type": "AUTO",
"name": "AUTO AU192837",
"description": "Effective 11/03/2021 - 11/03/2022",
"carrier_policy_number": "HO132654",
"effective_date": "2021-11-03T00:00:00Z",
"expiry_date": "2021-11-03T00:00:00Z",
"renewal_date": "2021-11-03T00:00:00Z",
"canceled_date": "2021-11-03T00:00:00Z",
"total_premium_cents": 150319,
"deductible_cents": 123,
"status": "ACTIVE",
"paid_in_full": true,
"dwellings": [
{
"id": "b7a53a67-7266-42b6-a20e-97e8fc723bbc",
"address": {
"id": "a497f96b-94be-443e-88bb-c8289085c922",
"address_nature": "MAILING",
"country": "US",
"street": "344 Clinton St, Apartment 3D",
"city": "Brooklyn",
"state": "NY",
"zip": "11231"
},
"replacement_cost_cents": 2600,
"cash_value_cents": 2600,
"coverages": [
{
"id": "b9087b71-c1b1-482d-be9f-92a2cf81fbb3",
"premium_cents": 18514,
"is_declined": true,
"name": "PERSONAL_PROPERTY",
"per_person_limit_cents": 123,
"per_incident_limit_cents": 123,
"deductible_cents": 50000
}
],
"mortgagees": [
{
"id": "26a4ce3a-0b9f-4c3d-96c0-1c76529e3b52",
"name": "<string>",
"type": "FIRST",
"loan_number": "<string>",
"address": {
"id": "a497f96b-94be-443e-88bb-c8289085c922",
"address_nature": "MAILING",
"country": "US",
"street": "344 Clinton St, Apartment 3D",
"city": "Brooklyn",
"state": "NY",
"zip": "11231"
}
}
]
}
],
"vehicles": [
{
"id": "26a4ce3a-0b9f-4c3d-96c0-1c76529e3b52",
"vin": "1G1FK1R62J0158884",
"is_removed": true,
"lien_holder": "Manhattan Bank",
"year": 2010,
"make": "CHEVROLET",
"model": "Camaro",
"series": "ZL1",
"series2": "<string>",
"type": "PASSENGER CAR",
"annual_mileage": 26000,
"purchase_date": "2010-10-02T12:00:00.000Z",
"garaging_address": {
"id": "a497f96b-94be-443e-88bb-c8289085c922",
"address_nature": "MAILING",
"country": "US",
"street": "344 Clinton St, Apartment 3D",
"city": "Brooklyn",
"state": "NY",
"zip": "11231"
},
"lien_holder_address": {
"id": "a497f96b-94be-443e-88bb-c8289085c922",
"address_nature": "MAILING",
"country": "US",
"street": "344 Clinton St, Apartment 3D",
"city": "Brooklyn",
"state": "NY",
"zip": "11231"
},
"coverages": [
{
"id": "111da3f8-20b0-4839-81d7-6473437e493e",
"premium_cents": 18514,
"is_declined": true,
"name": "PROPERTY_DAMAGE_LIABILITY",
"per_day_limit_cents": 123,
"per_mile_premium_tenth_of_cents": 123,
"per_person_limit_cents": 123,
"per_incident_limit_cents": 123,
"deductible_cents": 50000
}
],
"drivers": [
{
"id": "8857f648-c6ce-44df-8fa4-78eee16e9bb4",
"first_name": "John",
"last_name": "Doe",
"drivers_license": "SUP1234012",
"date_of_birth_str": "05/03/1988",
"is_excluded": true,
"middle_name": "Joseph",
"drivers_license_state": "DC",
"gender": "MALE",
"marital_status": "SINGLE",
"relationship_to_insured": "INSURED"
}
]
}
],
"commercial_named_insureds": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_primary": true,
"name": "Sample Business LLC",
"form_of_business": "INDIVIDUAL",
"gl_code": "10010",
"sic_code": "6411",
"naics_code": "524210",
"fein": "123456789",
"ssn": "123456789",
"address": {
"id": "a497f96b-94be-443e-88bb-c8289085c922",
"address_nature": "MAILING",
"country": "US",
"street": "344 Clinton St, Apartment 3D",
"city": "Brooklyn",
"state": "NY",
"zip": "11231"
}
}
],
"named_insureds": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"is_primary": true
}
],
"claims": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dwelling_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vehicle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"driver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carrier_claim_identifier": "<string>",
"date_occurred": "2023-11-07T05:31:56Z",
"type": "WIND_AND_HAIL_DAMAGE",
"status": "OPEN",
"date_closed": "2022-05-03T00:00:00Z",
"payout_cents": 180111,
"representative_name": "<string>",
"representative_phone": "<string>",
"representative_email": "<string>",
"address": {
"id": "a497f96b-94be-443e-88bb-c8289085c922",
"address_nature": "MAILING",
"country": "US",
"street": "344 Clinton St, Apartment 3D",
"city": "Brooklyn",
"state": "NY",
"zip": "11231"
}
}
],
"loss_events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date_of_occurrence": "2022-05-03T00:00:00Z",
"type": "BURGLARY_AND_THEFT",
"amount_paid_cents": 123323,
"is_subrogation": true,
"is_claim_open": true,
"date_of_claim": "2022-05-03T00:00:00Z",
"amount_reserved_cents": 123
}
],
"documents": [
{
"id": "55ad7bb6-f5a3-4ebf-91fb-2802391eb261",
"title": "11-03-2021 - Auto - Automobile Policy Renewal Declarations",
"document_type": "INSURANCE_APPLICATION",
"date_added": "2022-05-03T00:00:00Z",
"file": "https://truv-statements.s3.amazonaws.com/insurance/example_file"
}
]
}
],
"drivers": [
{
"id": "8857f648-c6ce-44df-8fa4-78eee16e9bb4",
"first_name": "John",
"last_name": "Doe",
"drivers_license": "SUP1234012",
"date_of_birth_str": "05/03/1988",
"middle_name": "Joseph",
"drivers_license_state": "DC",
"gender": "MALE",
"marital_status": "SINGLE",
"relationship_to_insured": "INSURED"
}
],
"addresses": [
{
"id": "a497f96b-94be-443e-88bb-c8289085c922",
"address_nature": "MAILING",
"country": "US",
"street": "344 Clinton St, Apartment 3D",
"city": "Brooklyn",
"state": "NY",
"zip": "11231"
}
],
"driving_records": [
{
"id": "da9d46ad-8ddb-4b4b-bc7e-7a381a738f7d",
"incident_date": "2021-04-23T00:00:00.000Z",
"driver_id": "da9d46ad-8ddb-4b4b-bc7e-7a381a738f7c",
"incident_type": "ACCIDENT",
"violation_type": "MOVING",
"is_at_fault": true
}
],
"agents": [
{
"id": "da9d46ad-8ddb-4b4b-bc7e-7a381a738f7d",
"agency_name": "<string>",
"agent_full_name": "<string>",
"phone_number": "<string>",
"email": "john.doe@example.com",
"policy_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"address": {
"id": "a497f96b-94be-443e-88bb-c8289085c922",
"address_nature": "MAILING",
"country": "US",
"street": "344 Clinton St, Apartment 3D",
"city": "Brooklyn",
"state": "NY",
"zip": "11231"
}
}
]
},
"provider": "progressive",
"identity": {
"first_name": "John",
"last_name": "Doe",
"id": "48427a36d43c4d5aa6324bc06c692456",
"created_at": "2022-06-07T15:00:00Z",
"updated_at": "2022-06-30T15:00:00Z",
"full_name": "John Doe",
"middle_initials": "K",
"email": "john.doe@example.com",
"ssn": "123456789",
"date_of_birth": "1992-03-03",
"home_address": {
"street": "1 Morgan Ave",
"city": "Los Angeles",
"state": "CA",
"zip": "90210",
"country": "US"
}
},
"finished_at": "2021-04-06T11:30:00Z",
"is_suspicious": true,
"pdf_report": "https://cdn.truv.com/report.pdf"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Link Insurance Report
Retrieve an insurance report
The endpoint returns the Insurance report.
GET
/
v1
/
links
/
{link_id}
/
insurance
/
report
/
Retrieve an insurance report
Authorizations
Client ID
Client Access Key
Path Parameters
Response
Data for the insurance report
Unique ID
Example:
"24d7e80942ce4ad58a93f70ce4115f5c"
Example:
"new"
Access token for a Link to payroll provider
Example:
"48427a36d43c4d5aa6324bc06c692456"
Any information passed to the Truv Bridge from a partner
Example:
"user123456"
Show child attributes
Show child attributes
Insurance Provider ID
Example:
"progressive"
Person's identity information
Show child attributes
Show child attributes
Time when report was finished
Example:
"2021-04-06T11:30:00Z"
Flag to indicate if the data from the source is suspicious. E.g. fraud detected in uploaded documents or SSN of the user does not match with the data
Insurance report in PDF format
Example:
"https://cdn.truv.com/report.pdf"
Was this page helpful?
⌘I